org.apache.ignite.internal.processors.cache

## Class CacheLazyEntry<K,V>

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.CacheLazyEntry<K,V>

All Implemented Interfaces:
  javax.cache.Cache.Entry<K,V>

Direct Known Subclasses:
  CacheInvokeEntry

    public class CacheLazyEntry<K,V>
    extends Object
    implements javax.cache.Cache.Entry<K,V>

### Field Summary

Fields
`protected GridCacheContext` `cctx` Cache context.
`protected K` `key` Key.
`protected KeyCacheObject` `keyObj` Key cache object.
`protected V` `val` Value.
`protected CacheObject` `valObj` Cache object value.

### Constructor Summary

Constructors
Constructor and Description
`CacheLazyEntry(GridCacheContext<K,V> ctx, KeyCacheObject keyObject, K key, CacheObject valObj, V val)`
`CacheLazyEntry(GridCacheContext cctx, KeyCacheObject keyObj, CacheObject valObj)`
`CacheLazyEntry(GridCacheContext cctx, KeyCacheObject keyObj, V val)`

### Method Summary

Methods
`K` `getKey()`
`V` `getValue()`
`K` `key()`
`String` `toString()`
`<T> T` `unwrap(Class<T> cls)`
`V` `value()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### cctx

    protected GridCacheContext cctx

Cache context.

#### keyObj

    protected KeyCacheObject keyObj

Key cache object.

#### valObj

    protected CacheObject valObj

Cache object value.

#### key

    @GridToStringInclude
    protected K key

Key.

#### val

    @GridToStringInclude
    protected V val

Value.

### Constructor Detail

#### CacheLazyEntry

    public CacheLazyEntry(GridCacheContext cctx,
                  KeyCacheObject keyObj,
                  CacheObject valObj)

Parameters:
  `cctx` - Cache context.
  `keyObj` - Key cache object.
  `valObj` - Cache object value.

#### CacheLazyEntry

    public CacheLazyEntry(GridCacheContext cctx,
                  KeyCacheObject keyObj,
                  V val)

Parameters:
  `keyObj` - Key cache object.
  `val` - Value.
  `cctx` - Cache context.

#### CacheLazyEntry

    public CacheLazyEntry(GridCacheContext<K,V> ctx,
                  KeyCacheObject keyObject,
                  K key,
                  CacheObject valObj,
                  V val)

Parameters:
  `ctx` - Cache context.
  `keyObject` - Key cache object.
  `key` - Key value.
  `valObj` - Cache object
  `val` - Cache value.

### Method Detail

#### getKey

    public K getKey()

Specified by:
  `getKey` in interface `javax.cache.Cache.Entry<K,V>`

#### getValue

    public V getValue()

Specified by:
  `getValue` in interface `javax.cache.Cache.Entry<K,V>`

#### value

    public V value()

Returns:
  Return value. This methods doesn't initialize value.

#### key

    public K key()

Returns:
  Return key. This methods doesn't initialize key.

#### unwrap

    public <T> T unwrap(Class<T> cls)

Specified by:
  `unwrap` in interface `javax.cache.Cache.Entry<K,V>`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015